View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
15942Bug reportsUser / Groups / Rolespublic2021-02-03 19:19
ReporterDenisChenu Assigned Tocdorin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.1.8 
Fixed in Version4.4.0 
Summary15942: User with only survey create right can upload/replace global files
DescriptionAn user with only one survey right can update global and general files
Steps To ReproduceCreate an user with Survey create rights
Login as this user
Create a survey
Go to resource
Click on General files
Upload a files
Additional InformationSince General and globval can be used for a general logo or a general PDF about RGPD etc .... : this must be **updatable** only by specific user.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.1.8
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-03-03 08:30

developer   ~56287

And with Move a file : an user can move a global files to single survey .....
Or delete a global file
cdorin

cdorin

2021-02-03 19:19

manager   ~61911

The file manager was reverted - the old "Resources" is being used now in master

Issue History

Date Modified Username Field Change
2020-03-03 08:28 DenisChenu New Issue
2020-03-03 08:30 DenisChenu Note Added: 56287
2020-03-16 18:54 cdorin Priority none => normal
2020-03-16 18:54 cdorin Status new => confirmed
2021-02-03 19:19 cdorin Assigned To => cdorin
2021-02-03 19:19 cdorin Status confirmed => closed
2021-02-03 19:19 cdorin Resolution open => fixed
2021-02-03 19:19 cdorin Fixed in Version => 4.4.0
2021-02-03 19:19 cdorin Note Added: 61911